import javax.activation.CommandInfo;
import javax.activation.MailcapCommandMap;

public class MailcapCommandMapDemo2 {
    public static void main(String[] args) {
        MailcapCommandMap mailcapCommandMap = new MailcapCommandMap();	
        String mailcap = "text/plain; ; "
                + "x-java-content-handler=beans.TextHandler;"
                + "x-java-view=beans.TextViewer;"
                + "x-java-edit=beans.TextEditor";
        mailcapCommandMap.addMailcap(mailcap);

        // Get all MIME types
        String[] mimeTypes = mailcapCommandMap.getMimeTypes();
        for (String mimeType : mimeTypes) {
            System.out.println(mimeType);
            CommandInfo[] commandInfos = mailcapCommandMap.
                    getAllCommands(mimeType);
            for (CommandInfo commandInfo : commandInfos) {
                System.out.println("    " + 
                        commandInfo.getCommandName() + 
                        " : " + commandInfo.getCommandClass());
            }   
        }

    }
    
}
